summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Diego Borghetti <bdiego[at]gmail[dot]com>2015-03-16 00:27:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-16 00:27:19 +0700
commit04613edf7f8e02d2d64dfdf067e3260e24159d55 (patch)
tree7cb71dc4e3f7107b79cea1892b05a36f9200c043 /network
parentef31dbbd667a410c0c7de0292f0e91a0342d2c3b (diff)
downloadslackbuilds-04613edf7f8e02d2d64dfdf067e3260e24159d55.tar.gz
slackbuilds-04613edf7f8e02d2d64dfdf067e3260e24159d55.tar.xz
network/cmst: Added (GUI for connman daemon).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/cmst/README6
-rw-r--r--network/cmst/cmst.SlackBuild93
-rw-r--r--network/cmst/cmst.info10
-rw-r--r--network/cmst/doinst.sh3
-rw-r--r--network/cmst/slack-desc19
5 files changed, 131 insertions, 0 deletions
diff --git a/network/cmst/README b/network/cmst/README
new file mode 100644
index 0000000000..59d820e734
--- /dev/null
+++ b/network/cmst/README
@@ -0,0 +1,6 @@
+QT GUI for Connman with system tray icon.
+
+The program provides graphical user interface to control the connman daemon.
+The connman daemon must be started as you normally would, this program just interfaces with that daemon.
+You can see what technologies and services connman has found, and for wifi services an agent is registered to
+assist in obtaining the information from you necessary to logon the wifi service.
diff --git a/network/cmst/cmst.SlackBuild b/network/cmst/cmst.SlackBuild
new file mode 100644
index 0000000000..ee4b9b5b8a
--- /dev/null
+++ b/network/cmst/cmst.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for cmst
+
+# Copyright 2015 Diego Borghetti <bdiego[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cmst
+VERSION=${VERSION:-2015.03.01}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}-$VERSION
+tar xvf $CWD/${PRGNAM}-$VERSION.tar.gz
+
+# The original tar.gz file don't have the version in the folder.
+cd ${PRGNAM}
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
+export USE_LIBPATH="/usr/lib${LIBDIRSUFFIX}"
+
+qmake-qt5 DISTRO=slackware
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md building_and_installing.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/cmst/cmst.info b/network/cmst/cmst.info
new file mode 100644
index 0000000000..3e00a2f44b
--- /dev/null
+++ b/network/cmst/cmst.info
@@ -0,0 +1,10 @@
+PRGNAM="cmst"
+VERSION="2015.03.01"
+HOMEPAGE="https://github.com/andrew-bibb/cmst/releases"
+DOWNLOAD="https://github.com/andrew-bibb/cmst/releases/download/cmst-2015.03.01/cmst-2015.03.01.tar.gz"
+MD5SUM="44a410debeb6038a57d7c5b816b27ee8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5 connman"
+MAINTAINER="Diego Borghetti"
+EMAIL="bdiego[at]gmail[dot]com"
diff --git a/network/cmst/doinst.sh b/network/cmst/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/cmst/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/cmst/slack-desc b/network/cmst/slack-desc
new file mode 100644
index 0000000000..3df28a6b1d
--- /dev/null
+++ b/network/cmst/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cmst: cmst (GUI for connman daemon)
+cmst:
+cmst: The program provides graphical user interface to control the
+cmst: connman daemon. The connman daemon must be started
+cmst: as you normally would, this program just interfaces with that
+cmst: daemon. You can see what technologies and services connman
+cmst: has found, and for wifi services an agent is registered to assist
+cmst: in obtaining the information from you necessary to logon the
+cmst: wifi service.
+cmst:
+cmst: Homepage: https://github.com/andrew-bibb/cmst/releases